import { URLSearchParams } from 'node:url';
export const sortQueryString = (mockUrl) => {
    const [host, query] = mockUrl.split('?', 2);
    if (query === undefined || (query?.length ?? 0) === 0)
        return host;
    return `${host}?${sortQuery(new URLSearchParams(query))}`;
};
export const sortQuery = (query) => {
    const params = [];
    if (query instanceof URLSearchParams) {
        query.forEach((v, k) => {
            params.push([k, v]);
        });
    }
    else {
        params.push(...Object.entries(query));
    }
    params.sort(([k1], [k2]) => (k1 ?? '').localeCompare(k2 ?? ''));
    const sortedParams = new URLSearchParams();
    for (const [k, v] of params) {
        sortedParams.append(k, v);
    }
    return sortedParams.toString();
};
